import { MessageFormData } from "@minecraft/server-ui";
var Emojis;
(function (Emojis) {
    Emojis["basicJetpack"] = "\uE116";
    Emojis["goldenJetpack"] = "\uE117";
    Emojis["obsidianJetpack"] = "\uE118";
    Emojis["craftingTable"] = "\uE10A";
})(Emojis || (Emojis = {}));
export class bookUIManager {
    static pages = [
        {
            title: "Intro",
            body: `Welcome to Edds' Jetpacks!\n\nThis addon adds a variety of jetpacks to the game, along with a unique way to fuel them.\n\nYou can use your jetpack by having it fueled and equipped, and control it with a §lJetpack Controller§r.\n\n${Emojis.craftingTable} Crafting Recipe:\n\n- 1x Stone Button\n- 2x Iron Ingot\n\n`
        },
        {
            title: "Oil & Fueling",
            body: `You can obtain oil by creating obsidian in an §lOil Tank§r and then melting that obsidian with a heat source under the §lOil Tank§r.\n\nAdditionaly, after oil is in the §lOil Tank§r you can have it in item form by collecting it with a bucket.\n\nTo fuel jetpacks, you either need an §lOil Bucket§r or an §lOil Tank§r with oil in it.\n\nTo fuel it with an §lOil Bucket§r, place the empty jetpack in your offhand, and use the §lOil Bucket§r in your mainhand.\n\nTo fuel it with an §lOil Tank§r, hold an empty jetpack in your mainhand and use the jetpack on the §lOil Tank§r.\n\n${Emojis.craftingTable} Crafting Recipe:\n\n- 1x Bucket\n- 4x Glass\n- 4x Gray Concrete\n\n`
        },
        {
            title: "Jetpacks",
            body: `\n${Emojis.basicJetpack} - Basic Jetpack\nThe default jetpack, old reliable.\n\n${Emojis.craftingTable} Crafting Recipe:\n\n- 5x Iron Ingot\n- 2x Sturdy String\n- 1x Bucket\n- 1x Flint & Steel\n\n${Emojis.goldenJetpack} - Golden Jetpack\nShiny, faster than normal, uses more fuel, 1.5x more fuel capacity.\n\n${Emojis.craftingTable} Crafting Recipe:\n\n- 5x Gold Ingot\n- 2x Sturdy String\n- 1x Bucket\n- 1x Flint & Steel\n\n${Emojis.obsidianJetpack} - Obsidian Jetpack\nDurable, a little slower than normal, uses less fuel, 2x more fuel capacity than normal.\n\n${Emojis.craftingTable} Crafting Recipe:\n\n- 4x Obsidian\n- 2x Sturdy String\n- 2x Bucket\n- 1x Flint & Steel\n\n`,
        }
    ];
    static show(player, pageNumber) {
        if (pageNumber > this.pages.length || pageNumber < 0)
            return;
        player.playSound("item.book.page_turn");
        const page = this.pages[pageNumber];
        const ui = new MessageFormData();
        ui.title(`§b§o§o§k${page.title ? `§r${page.title}` : ''}`);
        ui.body(page.body);
        ui.button1("Previous Page");
        ui.button2("Next Page");
        ui.show(player).then((onfulfilled) => {
            if (onfulfilled.canceled)
                return;
            let selection = 0;
            if (onfulfilled.selection) {
                selection = onfulfilled.selection;
            }
            switch (selection) {
                case 1:
                    if (pageNumber >= this.pages.length - 1) {
                        this.show(player, 0);
                        return;
                    }
                    this.show(player, pageNumber + 1);
                    break;
                case 0:
                    if (pageNumber <= 0) {
                        this.show(player, this.pages.length - 1);
                        return;
                    }
                    this.show(player, pageNumber - 1);
                    break;
            }
        });
    }
}
